Loading...
Searching...
No Matches
QXmppCredentials Class Reference

Stores different kinds of credentials used for authentication. More...

## Public Member Functions

| QXmppCredentials ()
| Default constructor.
void | toXml (QXmlStreamWriter &) const
bool | operator== (const QXmppCredentials &other) const
| Comparison operator.
bool | operator!= (const QXmppCredentials &other) const =default
| Comparison operator.

## Static Public Member Functions

static std::optional< QXmppCredentials > | fromXml (QXmlStreamReader &)

## Friends

class | QXmppConfiguration

## Detailed Description

Stores different kinds of credentials used for authentication.

QXmppCredentials can be serialized to XML and parsed from XML again. This can be useful to store credentials permanently without needing to handle all the details of the different authentication methods. QXmpp can for example request and use XEP-0484: Fast Authentication Streamlining Tokens tokens and might support other mechanisms in the future. The XML format is QXmpp specific and is not specified.

The XML output currently may contain:

- an HT token for XEP-0484: Fast Authentication Streamlining Tokens

Since
  QXmpp 1.8

## Member Function Documentation

## fromXml()

std::optional< QXmppCredentials > QXmppCredentials::fromXml | ( | QXmlStreamReader & | r | ) |

static

Tries to parse XML-serialized credentials.

## toXml()

void QXmppCredentials::toXml | ( | QXmlStreamWriter & | writer | ) | const

Serializes the credentials to XML.

The documentation for this class was generated from the following files:

- QXmppCredentials.h
- QXmppConfiguration.cpp